<mat-sidenav-container class="sidenav-container" [hasBackdrop]="true">
  <mat-sidenav #drawer class="sidenav"
               [mode]="'over'"
               disableClose="false">
    <mat-toolbar>Menu</mat-toolbar>
    <mat-nav-list>
      <a mat-list-item routerLink="events" (click)="drawer.close()">Wszystkie zdarzenia</a>
      <a mat-list-item routerLink="map" (click)="drawer.close()">Mapa</a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button mat-icon-button class="menu-button" *ngIf="!isHomepage" (click)="goBack()"><mat-icon>arrow_back_ios</mat-icon></button>
      <button type="button" aria-label="Toggle sidenav"
              class="toggle-drawer-button"
              mat-icon-button (click)="drawer.toggle()"
              *ngIf="(isHandset$ | async) && isHomepage">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <mat-button-toggle-group *ngIf="(isHandset$ | async) === false && isHomepage" name="fontStyle" aria-label="Font Style" value="{{currentLocation}}">
        <mat-button-toggle value="/events" routerLink="/events">Wszystkie</mat-button-toggle>
        <mat-button-toggle value="/map" routerLink="/map">Mapa</mat-button-toggle>
      </mat-button-toggle-group>
      <span class="logo">
        <img src="assets/main-logo.png" alt="Application logo">
      </span>
      <span class="fill-remaining-space"></span>
      <button *ngIf="userIsLoggedIn()"
              type="button"
              mat-button
              class="menu-button"
              [matMenuTriggerFor]="loggedUserMenu">
        <span *ngIf="(isHandset$ | async) === false">{{username}} </span>
        <mat-icon>person</mat-icon>
      </button>
      <mat-menu #loggedUserMenu="matMenu">
        <a mat-menu-item routerLink="/user/me">
          <span>Profil</span>
        </a>
        <a mat-menu-item routerLink="/settings">
          <span>Ustawienia</span>
        </a>
        <button mat-menu-item (click)="logout()">
          <span>Wyloguj się</span>
        </button>
      </mat-menu>

      <button *ngIf="!userIsLoggedIn()"
              type="button"
              mat-button
              class="menu-button"
              [matMenuTriggerFor]="notLoggedUserMenu">
        <mat-icon>person</mat-icon>
      </button>
      <mat-menu #notLoggedUserMenu="matMenu">
        <a mat-menu-item routerLink="/login">
          <span>Zaloguj się</span>
        </a>
        <a mat-menu-item routerLink="/register">
          <span>Zarejestruj się</span>
        </a>
      </mat-menu>
    </mat-toolbar>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>


